### Function

# EvinceDocument MappingList new

#### Declaration [src]

    EvMappingList*
    ev_mapping_list_new (
      guint page,
      GList* list,
      GDestroyNotify data_destroy_func
    )

#### Description

No description available.

#### Parameters

`page` | `guint`
| Page index for this mapping.
`list` | A list of `EvMapping*`
| A `GList` of data for the page.
| The data is owned by the caller of the function.
`data_destroy_func` | `GDestroyNotify`
| Function to free a list element.

#### Return value

Returns: | `EvMappingList`
| An `EvMappingList`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.